#!/bin/bash

# Script d'initialisation de la base de donnée. Crée le fichier s'il n'existe
# pas, crée la base de donnée, les tables, les relations.

if [ -f suidchecker.db ]
then
	echo "La base de données existe déjà !" 2>&1
	exit 1
fi

echo "CREATE TABLE fichier(
	chemin TEXT PRIMARY KEY,
	cksum INTEGER
);" | sqlite3 suidchecker.db

echo "CREATE TABLE controle(
	chemin TEXT,
	date INTEGER,
	cksum INTEGER,
	status TEXT,
	FOREIGN KEY(chemin) REFERENCES fichier(chemin),
	PRIMARY KEY(chemin,date)
);" | sqlite3 suidchecker.db
